
QGIS Application - Bug report #12591

NITF does not geolocate in 2.8

2015-04-17 05:21 AM - Bob Holcomb

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20715

Description

I have an application that generates NITF files as part of a radar simulation. The files geolocate properly in 2.6, but in 2.8 they do not.  In

2.8 they appear at the origin without any geographic coordinates.  I suspect it's something in the file, given that I'm a novice, but seeing

correct behavior in 2.6 confuses me as to what it could be.

Here is the output of gdalinfo of my file (generated from a 2.8 install):

C:\\Program Files\\QGIS Wien\\bin>gdalinfo.exe c:\\MAK\\RadarFX1.0-14APR15\\userData\

adarFX\\capture\\2015-04-16-145903.ntf

Driver: NITF/National Imagery Transmission Format

Files: c:\\MAK\\RadarFX1.0-14APR15\\userData\

adarFX\\capture\\2015-04-16-145903.ntf

Size is 512, 512

Coordinate System is:

GEOGCS["WGS 84",

    DATUM["WGS_1984",

        SPHEROID["WGS 84",6378137,298.257223563,

            AUTHORITY["EPSG","7030"]],

        TOWGS84[0,0,0,0,0,0,0],

        AUTHORITY["EPSG","6326"]],

    PRIMEM["Greenwich",0,

        AUTHORITY["EPSG","8901"]],

    UNIT["degree",0.0174532925199433,

        AUTHORITY["EPSG","9108"]],

    AUTHORITY["EPSG","4326"]]

GeoTransform =

  -157.861875760274, 1.864579256360736e-005, 2.874755381604492e-006

  21.34385038747554, 2.692759295499493e-006, -1.746771037181825e-005

Metadata:

  NITF_ABPP=08

  NITF_BLOCKA_BLOCK_COUNT=01

  NITF_BLOCKA_BLOCK_INSTANCE_01=01

  NITF_BLOCKA_FRFC_LOC_01=+21.343843-157.861865

  NITF_BLOCKA_FRLC_LOC_01=+21.345219-157.852337

  NITF_BLOCKA_L_LINES_01=00512

  NITF_BLOCKA_LAYOVER_ANGLE_01=

  NITF_BLOCKA_LRFC_LOC_01=+21.334917-157.860396

  NITF_BLOCKA_LRLC_LOC_01=+21.336293-157.850868

  NITF_BLOCKA_N_GRAY_01=00000

  NITF_BLOCKA_SHADOW_ANGLE_01=
  NITF_CCS_COLUMN=0

  NITF_CCS_ROW=0

  NITF_CLEVEL=03

  NITF_ENCRYP=0

  NITF_FBKGC=  0,  0,  0

  NITF_FDT=20080601100000

  NITF_FHDR=NITF02.10

  NITF_FSCATP=

  NITF_FSCAUT=

  NITF_FSCLAS=U

  NITF_FSCLSY=

  NITF_FSCLTX=

  NITF_FSCODE=

  NITF_FSCOP=00000

  NITF_FSCPYS=00000

  NITF_FSCRSN=

  NITF_FSCTLH=

  NITF_FSCTLN=

  NITF_FSDCDT=

  NITF_FSDCTP=

  NITF_FSDCXM=

  NITF_FSDG=

  NITF_FSDGDT=

  NITF_FSREL=

  NITF_FSSRDT=

  NITF_FTITLE=

  NITF_IALVL=0

  NITF_IC=NC

  NITF_ICAT=SAR

  NITF_ICORDS=D

  NITF_IDATIM=20080601100000

  NITF_IDLVL=1

  NITF_IGEOLO=+21.344-157.862+21.345-157.852+21.336-157.851+21.335-157.860

  NITF_IID1=0000000001

  NITF_IID2=

  NITF_ILOC_COLUMN=0

  NITF_ILOC_ROW=0

  NITF_IMAG=1.0

  NITF_IMODE=B

  NITF_IREP=MONO

  NITF_ISCATP=

  NITF_ISCAUT=

  NITF_ISCLAS=U

  NITF_ISCLSY=

  NITF_ISCLTX=

  NITF_ISCODE=

  NITF_ISCRSN=

  NITF_ISCTLH=

  NITF_ISCTLN=

  NITF_ISDCDT=

  NITF_ISDCTP=

  NITF_ISDCXM=

  NITF_ISDG=
  NITF_ISDGDT=

  NITF_ISORCE=RadarFX

  NITF_ISREL=

  NITF_ISSRDT=

  NITF_ONAME=

  NITF_OPHONE=

  NITF_OSTAID=GDAL

  NITF_PJUST=R

  NITF_PVTYPE=INT

  NITF_STYPE=BF01

  NITF_TGTID=

Corner Coordinates:

Upper Left  (-157.8618758,  21.3438504) (157d51'42.75"W, 21d20'37.86"N)

Lower Left  (-157.8604039,  21.3349069) (157d51'37.45"W, 21d20' 5.66"N)

Upper Right (-157.8523291,  21.3452291) (157d51' 8.38"W, 21d20'42.82"N)

Lower Right (-157.8508572,  21.3362856) (157d51' 3.09"W, 21d20'10.63"N)

Center      (-157.8563665,  21.3400680) (157d51'22.92"W, 21d20'24.24"N)

Band 1 Block=512x1 Type=Byte, ColorInterp=Gray

History

#1 - 2015-06-03 01:59 PM - Jürgen Fischer

- Status changed from Open to Feedback

Works fine on master here.

#2 - 2015-06-03 02:00 PM - Jürgen Fischer

- Category set to Rasters

#3 - 2015-06-04 03:36 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

this has been fixed a few weeks ago by Nyall.

Files

2015-04-16-145903.ntf 257 KB 2015-04-17 Bob Holcomb
